%define upstream_name    Catalyst-Plugin-StackTrace
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	Display a stack trace on the debug screen
License:	Artistic/GPL
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Catalyst) >= 5.61
BuildRequires:	perl(Devel::StackTrace)
BuildRequires:	perl(inc::Module::Install)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(MRO::Compat)
BuildArch:	noarch


%description
This plugin will enhance the standard Catalyst debug screen by
including a stack trace of your application up to the point where the
error occurred. Each stack frame is displayed along with the package
name, line number, file name, and code context surrounding the line
number.

This plugin is only active in -Debug mode.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.120.0-12.mga10
+ Revision: 2212210
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 0.120.0-11.mga9
+ Revision: 1831448
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-10.mga8
+ Revision: 1503539
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.120.0-9.mga7
+ Revision: 1282233
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.120.0-8.mga7
+ Revision: 1167756
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-7.mga6
+ Revision: 1023391
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-6.mga6
+ Revision: 949268
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 789376
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 739967
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 530830
- Mageia 4 Mass Rebuild

* Mon Jul 29 2013 sander85 <sander85> 0.120.0-1.mga4
+ Revision: 460379
- update to 0.12

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 364071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 40304
- mageia rebuild
- imported package perl-Catalyst-Plugin-StackTrace

